Bug 44948 - Netscape font error with current Rawhide Xfree86
Summary: Netscape font error with current Rawhide Xfree86
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: netscape   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-19 01:26 UTC by Jonathan Kamens
Modified: 2014-03-17 02:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-24 14:00:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Kamens 2001-06-19 01:26:59 UTC
I have:

XFree86-100dpi-fonts-4.1.0-0.5.9
XFree86-4.1.0-0.5.9
XFree86-75dpi-fonts-4.1.0-0.5.9
XFree86-Mach64-3.3.6-38
XFree86-VGA16-3.3.6-38
XFree86-Xvfb-4.1.0-0.5.9
XFree86-devel-4.1.0-0.5.9
XFree86-doc-4.1.0-0.5.9
XFree86-libs-4.1.0-0.5.9
XFree86-tools-4.1.0-0.5.9
XFree86-twm-4.1.0-0.5.9
XFree86-xf86cfg-4.1.0-0.5.9
XFree86-xfs-4.1.0-0.5.9
netscape-common-4.77-1
netscape-communicator-4.77-1

When I start Netscape, I see:

Warning: Cannot convert string
"*-helvetica-medium-r-*-*-*-120-*-*-*-*-iso8859-*" to type FontStruct

It appears that xfs is being more strict about matching than it has been in
the past -- it is now requiring the hyphen at the beginning of the font
specifier.  I made this warning going away by running netscape as follows:

netscape -xrm '*dockedTaskBar*fontList:
-*-helvetica-medium-r-*-*-*-120-*-*-*-*-iso8859-*' -xrm
'*floatingTaskBar*fontList:
-*-helvetica-medium-r-*-*-*-120-*-*-*-*-iso8859-*'

Comment 1 Bill Nottingham 2002-01-24 04:49:23 UTC
Did this go away with 7.2?

Comment 2 Jonathan Kamens 2002-01-24 14:00:06 UTC
I can't duplicate this with current Raw Hide.


Comment 3 Bill Nottingham 2002-01-24 15:22:27 UTC
Apologies for the complete lack of responsiveness.


Note You need to log in before you can comment on or make changes to this bug.